/*-----------------------------------*\
  #index.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * COLORS
   */

  --gold-crayola: hsl(37.92deg 63.45% 61.37%);
  --quick-silver: hsla(0, 0%, 65%, 1);
  --davys-grey: hsla(30, 3%, 34%, 1);
  --smoky-black-1: hsla(40, 12%, 5%, 1);
  --smoky-black-2: hsla(30, 8%, 5%, 1);
  --smoky-black-3: hsla(0, 3%, 7%, 1);
  --eerie-black-1: hsla(210, 4%, 9%, 1);
  --eerie-black-2: hsla(210, 4%, 11%, 1);
  --eerie-black-3: hsla(180, 2%, 8%, 1);
  --eerie-black-4: hsla(0, 0%, 13%, 1);
  --white: hsla(0, 0%, 100%, 1);
  --white-alpha-20: hsla(0, 0%, 100%, 0.2);
  --white-alpha-10: hsla(0, 0%, 100%, 0.1);
  --black: hsla(0, 0%, 0%, 1);
  --black-alpha-80: hsla(0, 0%, 0%, 0.8);
  --black-alpha-15: hsla(0, 0%, 0%, 0.15);

  /**
   * GRADIENT COLOR
   */

  --loading-text-gradient: linear-gradient(90deg, transparent 0% 16.66%, var(--smoky-black-3) 33.33% 50%, transparent 66.66% 75%);
  --gradient-1: linear-gradient(to top, hsla(0, 0%, 0%, 0.9), hsla(0, 0%, 0%, 0.7), transparent);

  /**
   * TYPOGRAPHY
   */

  /* font-family */
  --fontFamily-forum: 'Forum', cursive;
  --fontFamily-dm_sans: 'DM Sans', sans-serif;

  /* font-size */
  --fontSize-display-1: calc(1.3rem + 6.7vw);
  --fontSize-headline-1: calc(2rem + 2.5vw);
  --fontSize-headline-2: calc(1.3rem + 2.4vw);
  --fontSize-title-1: calc(1.6rem + 1.2vw);
  --fontSize-title-2: 2.2rem;
  --fontSize-title-3: 2.1rem;
  --fontSize-title-4: calc(1.6rem + 1.2vw);
  --fontSize-body-1: 2.4rem;
  --fontSize-body-2: 1.6rem;
  --fontSize-body-3: 1.8rem;
  --fontSize-body-4: 1.6rem;
  --fontSize-label-1: 1.4rem;
  --fontSize-label-2: 1.2rem;

  /* font-weight */
  --weight-regular: 400;
  --weight-bold: 700;

  /* line-height */
  --lineHeight-1: 1em;
  --lineHeight-2: 1.2em;
  --lineHeight-3: 1.5em;
  --lineHeight-4: 1.6em;
  --lineHeight-5: 1.85em;
  --lineHeight-6: 1.4em;

  /* letter-spacing */
  --letterSpacing-1: 0.15em;
  --letterSpacing-2: 0.4em;
  --letterSpacing-3: 0.2em;
  --letterSpacing-4: 0.3em;
  --letterSpacing-5: 3px;

  /**
   * SPACING
   */

  --section-space: 15px;

  /**
   * SHADOW
   */

  --shadow-1: 0px 0px 25px 0px hsla(0, 0%, 0%, 0.25);

  /**
   * BORDER RADIUS
   */

  --radius-24: 24px;
  --radius-circle: 50%;

  /**
   * TRANSITION
   */

  --transition-1: 250ms ease;
  --transition-2: 500ms ease;
  --transition-3: 1000ms ease;

}





/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;

}

li {
  list-style: none;
}

a,
img,
data,
span,
input,
button,
select,
ion-icon,
textarea {
  display: block;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  height: auto;
}

input,
button,
select,
textarea {
  background: none;
  border: none;
  font: inherit;
}

input,
select,
textarea {
  width: 100%;
  outline: none;
}

button {
  cursor: pointer;
}

address {
  font-style: normal;
}

html {
  font-size: 10px;
  scroll-behavior: smooth;
}

body {
  background-color: var(--smoky-black-2);
  color: var(--white);
  font-family: var(--fontFamily-forum);
  font-size: var(--fontSize-body-4);
  font-weight: var(--weight-regular);
  line-height: var(--lineHeight-5);
  overflow: hidden;
  height: 300vh;
  
}
 
 body.loaded {
  overflow: overlay;
}

body.nav-active {
  overflow: hidden;
}

::-webkit-scrollbar {
  width: 0px;
}

/* ::-webkit-scrollbar-track { background-color: transparent; }

::-webkit-scrollbar-thumb { background-color: var(--gold-crayola); } */





/*-----------------------------------*\
  #TYPOGRAPHY
\*-----------------------------------*/

.display-1,
.headline-1,
.headline-2,
.title-1,
.title-2,
.title-3,
.title-4 {
  color: var(--white);
  
  font-weight: var(--weight-regular);
  line-height: var(--lineHeight-2);
}

.display-1 {
  font-size: var(--fontSize-display-1);
  line-height: var(--lineHeight-1);
}

.headline-1 {
  font-size: var(--fontSize-headline-1);
}

.headline-2 {
  font-size: var(--fontSize-headline-2);
  line-height: var(--lineHeight-6);
}

.title-1 {
  font-size: var(--fontSize-title-1);
}

.title-2 {
  font-size: var(--fontSize-title-2);
}

.title-3 {
  font-size: var(--fontSize-title-3);
}

.title-4 {
  font-size: var(--fontSize-title-4);
}

.body-1 {
  font-size: var(--fontSize-body-1);
  line-height: var(--lineHeight-6);
}

.body-2 {
  font-size: var(--fontSize-body-2);
  line-height: var(--lineHeight-4);
}

.body-3 {
  font-size: var(--fontSize-body-3);
}

.body-4 {
  font-size: var(--fontSize-body-4);
}

.label-1 {
  font-size: var(--fontSize-label-1);
}

.label-2 {
  font-size: var(--fontSize-label-2);
}





/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

.container {
  padding-inline: 0px;
}

.separator {
  width: 8px;
  height: 8px;
  border: 1px solid var(--gold-crayola);
  transform: rotate(45deg);
}

.contact-label {
  font-weight: var(--weight-bold);
  
  letter-spacing: 1px;
}

.contact-number {
  color: var(--gold-crayola);
  max-width: max-content;
  margin-inline: auto;
}




.hover-underline:is(:hover, :focus-visible)::after {
  transform: scaleX(1);
  opacity: 1;
}

.contact-number::after {
  bottom: -5px;
}

.text-center {
  text-align: center;
}

.img-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.section-subtitle {
  position: relative;
  color: var(--gold-crayola);
  font-weight: var(--weight-bold);
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing-2);
  margin-block-end: 12px;
}

.section-subtitle::after {
  content: url('../images/separator.svg');
  display: block;
  width: 100px;
  margin-inline: auto;
  margin-block-start: 5px;
}

.btn {
  position: relative;
  color: var(--gold-crayola);
  font-size: var(--fontSize-label-2);
  font-weight: var(--weight-bold);
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing-5);
  max-width: max-content;
  border: 2px solid var(--gold-crayola);
  padding: 12px 45px;
  overflow: hidden;
  z-index: 1;
}

.btn::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 200%;
  height: 200%;
  border-radius: var(--radius-circle);
  background-color: var(--gold-crayola);
  transition: var(--transition-2);
  z-index: -1;
}

.btn .text {
  transition: var(--transition-1);
}

.btn .text-2 {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  min-width: max-content;
  color: var(--smoky-black-1);
}

.btn:is(:hover, :focus-visible)::before {
  bottom: -50%;
}

.btn:is(:hover, :focus-visible) .text-1 {
  transform: translateY(-40px);
}

.btn:is(:hover, :focus-visible) .text-2 {
  top: 50%;
  transform: translate(-50%, -50%);
}

.btn-secondary {
  background-color: var(--gold-crayola);
  color: var(--black);
}

.btn-secondary::before {
  background-color: var(--smoky-black-1);
}

.btn-secondary .text-2 {
  color: var(--white);
}

.has-before,
.has-after {
  position: relative;
  z-index: 1;
}

.has-before::before,
.has-after::after {
  content: "";
  position: absolute;
}

.section {
  position: relative;
  padding-block: var(--section-space);
  overflow: hidden;
  z-index: 1;
}

.bg-black-10 {
  background-color: var(--smoky-black-2);
}

.grid-list {
  display: grid;
  grid-template-columns: auto auto;
  grid-gap: 10px;
  margin-bottom: 20px;
}



.img-holder {
  aspect-ratio: var(--width) / var(--height);
  overflow: hidden;
  background-color: var(--eerie-black-4);
}

.btn-text {
  color: var(--gold-crayola);
  padding-block-end: 4px;
  margin-inline: auto;
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing-3);
  font-weight: var(--weight-bold);
  transition: var(--transition-1);
}

.btn-text:is(:hover, :focus-visible) {
  color: var(--white);
}

.shape {
  display: none;
  position: absolute;
  max-width: max-content;
  z-index: -1;
}

.w-100 {
  width: 100%;
}

.move-anim {
  animation: move 5s linear infinite;
}

@keyframes move {

  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(30px);
  }
}

.has-bg-image {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.input-field {
  background-color: var(--eerie-black-2);
  color: var(--white);
  height: 56px;
  padding: 10px 20px;
  border: 1px solid var(--white-alpha-10);
  margin-block-end: 20px;
  outline: none;
  transition: border-color var(--transition-2);
}

.input-field::placeholder {
  color: inherit;
}

.input-field:focus {
  border-color: var(--gold-crayola);
}

.icon-wrapper {
  position: relative;
  margin-block-end: 20px;
}

.icon-wrapper .input-field {
  margin-block-end: 0;
  padding-inline-start: 40px;
  appearance: none;
  cursor: pointer;
}

.icon-wrapper ion-icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 1.4rem;
  --ionicon-stroke-width: 50px;
  pointer-events: none;
}

.icon-wrapper ion-icon:first-child {
  left: 15px;
}

.icon-wrapper ion-icon:last-child {
  right: 10px;
}



.tooltip {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: 0px solid transparent;
  background-color: rgba(237, 149, 77, 0.08);
  border-radius: 1.25em;
  transition: all 0.2s linear;
 }
 
 .tooltip:hover {
  box-shadow: 3.4px 2.5px 4.9px rgba(0, 0, 0, 0.025),
   8.6px 6.3px 12.4px rgba(0, 0, 0, 0.035),
   17.5px 12.8px 25.3px rgba(0, 0, 0, 0.045),
   36.1px 26.3px 52.2px rgba(0, 0, 0, 0.055),
   99px 72px 143px rgba(0, 0, 0, 0.08);
 }
 
 .tooltip {
  position: relative;
  display: inline-block;
 }
 .tooltip img{
  height: 20px;
 }
 
 .tooltip .tooltiptext {
  visibility: hidden;
  width: 4em;
  background-color: rgb(219 173 94 / 10%);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  top: 25%;
  left: 110%;
 }
 
 .tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent rgba(0, 0, 0, 0.253) transparent transparent;
 }
 
 .tooltip:hover .tooltiptext {
  visibility: visible;
 }

/*-----------------------------------*\
  #PRELOAD
\*-----------------------------------*/

.preload {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #111;
  z-index: 10;
  display: grid;
  place-content: center;
  justify-items: center;
  transition: var(--transition-2);
}
.preload h2{
  color: rgba(216, 136, 15, 0.459);
  font-weight: bold;
  line-height: 1em;
  letter-spacing: 16px;
}

.preload>* {
  transition: var(--transition-1);
}

.preload.loaded>* {
  opacity: 0;
}

.preload.loaded {
  transition-delay: 250ms;
  transform: translateY(100%);
}

@keyframes clockwise {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes counter-clockwise {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(-360deg);
  }
}

.gearbox {
  background: #111;
  height: 200px;
  width: 257px;
  position: relative;
  border: none;
  overflow: hidden;
  border-radius: 6px;
 
}

.gearbox .overlay {
  border-radius: 6px;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
  box-shadow: inset 0px 0px 20px black;
  transition: background 0.2s;
}

.gearbox .overlay {
  background: transparent;
}

.gear {
  position: absolute;
  height: 60px;
  width: 60px;
  box-shadow: 0px -1px 0px 0px #888888, 0px 1px 0px 0px black;
  border-radius: 30px;
}

.gear.large {
  height: 120px;
  width: 120px;
  border-radius: 60px;
}

.gear.large:after {
  height: 96px;
  width: 96px;
  border-radius: 48px;
  margin-left: -48px;
  margin-top: -48px;
}

.gear.one {
  top: 12px;
  left: 10px;
}

.gear.two {
  top: 61px;
  left: 60px;
}

.gear.three {
  top: 110px;
  left: 10px;
}

.gear.four {
  top: 13px;
  left: 128px;
}

.gear:after {
  content: "";
  position: absolute;
  height: 36px;
  width: 36px;
  border-radius: 36px;
  background: #111;
  top: 50%;
  left: 50%;
  margin-left: -18px;
  margin-top: -18px;
  z-index: 3;
  box-shadow: 0px 0px 10px rgba(216, 136, 15, 0.459), inset 0px 0px 10px rgba(220, 130, 3, 0.832), inset 0px 2px 0px 0px #a8630f, inset 0px -1px 0px 0px #ce7901;
}

.gear-inner {
  position: relative;
  height: 100%;
  width: 100%;
  background: #555;
  border-radius: 30px;
  border: 1px solid rgba(255, 255, 255, 0.1);
}

.large .gear-inner {
  border-radius: 60px;
}

.gear.one .gear-inner {
  animation: counter-clockwise 3s infinite linear;
}

.gear.two .gear-inner {
  animation: clockwise 3s infinite linear;
}

.gear.three .gear-inner {
  animation: counter-clockwise 3s infinite linear;
}

.gear.four .gear-inner {
  animation: counter-clockwise 6s infinite linear;
}

.gear-inner .bar {
  background: #555;
  height: 16px;
  width: 76px;
  position: absolute;
  left: 50%;
  margin-left: -38px;
  top: 50%;
  margin-top: -8px;
  border-radius: 2px;
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  border-right: 1px solid rgba(255, 255, 255, 0.1);
}

.large .gear-inner .bar {
  margin-left: -68px;
  width: 136px;
}

.gear-inner .bar:nth-child(2) {
  transform: rotate(60deg);
}

.gear-inner .bar:nth-child(3) {
  transform: rotate(120deg);
}

.gear-inner .bar:nth-child(4) {
  transform: rotate(90deg);
}

.gear-inner .bar:nth-child(5) {
  transform: rotate(30deg);
}

.gear-inner .bar:nth-child(6) {
  transform: rotate(150deg);
}




/*-----------------------------------*\
  #TOPBAR
\*-----------------------------------*/

.topbar {
  display: none;
}





/*-----------------------------------*\
  #HEADER
\*-----------------------------------*/

.header .btn {
  display: none;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: transparent;
  padding-block: 40px;
  z-index: 4;
  border-block-end: 1px solid transparent;
  transition: var(--transition-1);
}

.header.active {
  padding-block: 20px;
  background-color: var(--eerie-black-4);

}

.header.hide {
  transform: translateY(-100%);
  transition-delay: 250ms;
}

.header .container {
  padding-inline: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 8px;
}

.nav-open-btn {
  padding: 12px;

}

.nav-open-btn .line {
  width: 30px;
  height: 2px;
  background-color: var(--white);
  margin-block: 4px;
  transform-origin: left;
  animation: menuBtn 800ms ease-in-out alternate infinite;
}

@keyframes menuBtn {
  0% {
    transform: scaleX(1);
  }

  100% {
    transform: scaleX(0.5);
  }
}

.nav-open-btn .line-2 {
  animation-delay: 150ms;
}

.nav-open-btn .line-3 {
  animation-delay: 300ms;
}

.navbar1 {
  background-size: cover;
  position: fixed;
  background-image: url(../images/burjKhalifa.jpg);
  background-repeat: no-repeat;
  top: 0;
  left: -360px;
  bottom: 0;
  max-width: 360px;
  width: 100%;

  padding-block-end: 50px;
  overflow-y: auto;
  visibility: hidden;
  z-index: 2;
  transition: var(--transition-2);
}

.navbar1.active {
  visibility: visible;
  transform: translateX(360px);
}

.navbar1 .close-btn {
  color: var(--white);

  padding: 4px;
  border-radius: var(--radius-circle);
  margin-inline-start: auto;
  margin-block: 30px 20px;
}

.navbar1 .close-btn ion-icon {
  --ionicon-stroke-width: 40px;
}

.navbar1 .close-btn:is(:hover, :focus-visible) {
  color: var(--gold-crayola);
}

.navbar1 .logo {
  max-width: max-content;
  margin-inline: auto;
  margin-block-end: 60px;
}

.navbar1-list {
  border-block-end: 1px solid var(--white-alpha-20);
  margin-block-end: 100px;

}

.navbar1-item {
  border-block-start: 1px solid var(--white-alpha-20);
}

.navbar1-link {
  position: relative;
  font-size: var(--fontSize-label-2);
  text-transform: uppercase;
  padding-block: 10px;
  max-width: unset;
}

.navbar1-link::after {
  display: none;
}

.navbar1-link .span {
  transition: var(--transition-1);
}

.navbar1-link:is(:hover, :focus-visible, .active) .span {
  color: var(--gold-crayola);

}

.navbar1-link .separator {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%) rotate(45deg);
  opacity: 0;
  transition: var(--transition-1);
}

.navbar1-link:is(:hover, :focus-visible, .active) .separator {
  opacity: 1;
}

.navbar1-title {
  margin-block-end: 15px;
}

.navbar1-text {
  margin-block: 10px;
}

.navbar1 .body-4 {
  color: var(--quick-silver);
}

.sidebar-link {
  transition: var(--transition-1);
}



.navbar1 .text-center .separator {
  margin-block: 30px;
  margin-inline: auto;
}

.navbar1 .contact-label {
  margin-block-end: 10px;
}

.navbar1::-webkit-scrollbar-thumb {
  background-color: var(--white-alpha-10);
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: var(--black-alpha-80);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-2);
  z-index: 1;
}

.overlay.active {
  opacity: 1;
  pointer-events: all;
}


.dropbtn {
  background-color: none;
  color: white;
  padding: 16px;

  border: none;
  cursor: pointer;
}

/* .dropdown {
  position: relative;
 
} */

.dropdown-content {
  display: none;

  background-color: #665f5f;
  min-width: 100%;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: rgb(11, 5, 5);
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}



.dropdown:hover .dropdown-content {
  display: block;
}









.center-body {
  
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.loader-shape-3 {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 50px;
}
.loader-shape-3:after {
  width: 30px;
  height: 20px;
  border-radius: 100%;
  background-color: rgb(202 92 8 / 42%);;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: 15px;
}
.loader-shape-3:before {
  width: 20px;
  height: 20px;
  border-radius: 100% 100% 100% 0;
  box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 1);
  animation: anm-SL-3-move 1s linear infinite;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-46deg);
  margin-top: 20px;
}
.loader-shape-3:before,
.loader-shape-3:after {
  position: absolute;
  content: "";
}
@keyframes anm-SL-3-move {
  0% {
    top: 0;
  }
  50% {
    top: -5px;
  }
  100% {
    top: 0;
  }
}







/* ///////////////////////////////////////////////////////////////// */
.social-icons {
  display: flex;
  justify-content: center;
  gap: 3px;
  width: 100%;
  height: 40px;
}

.social-icons a {
  display: inline-flex;
  width: 50px;
  height: 100%;
  justify-content: center;
  align-items: center;
  color: #bc750a !important;
  transition: 0.6s;
  position: relative;
  z-index: 1;
  overflow: hidden;
  border: 2px solid var(--gold-crayola);
  box-shadow: 0 0 0.3rem #bc750a;
  border-radius: 40px;
}

.social-icons a i {
  font-size: 1.5rem;
}

.social-icons a:hover {
  color: var(--gold-crayola);
}

.social-icons a::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 100%;
  background: var(--gold-crayola);
  transition: 0.6s;
  z-index: -1;
}

.social-icons a:hover::before {
  width: 100%;
}




/* /////////////////////////////////////////////////////// */








/* ///////////////////////////////////////////////// */
.scroll-scale {
  opacity: 0;
  transform: scale(0.7);
  transition: all 1.5s;
}

.show-items {
  opacity: 1;
  transform: translateX(0);
}

.scroll-top {
  opacity: 0;
  transform: translateY(-300px);
  transition: 3s;
}

/*-----------------------------------*\
  #HERO
\*-----------------------------------*/

.hero .slider-btn {
  display: none;
}

.hero {
  position: relative;
  padding-block: 120px;
  min-height: 100vh;
  overflow: hidden;
  z-index: 1;
}

.hero .slider-item {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  display: grid;
  place-content: center;
  padding-block-start: 100px;
  opacity: 0;
  visibility: hidden;
  transition: var(--transition-3);
  z-index: 1;
}

.hero .slider-item.active {
  opacity: 1;
  visibility: visible;
}

.hero .slider-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: scale(1.15);
  pointer-events: none;
  user-select: none;
  z-index: -1;
}

.hero .slider-item.active .slider-bg {
  animation: smoothScale 7s linear forwards;
}

@keyframes smoothScale {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(1.15);
  }
}

.hero .section-subtitle::after {
  margin-block: 14px 20px;
}

.hero-text {
  margin-block: 10px 40px;
}

.hero .btn {
  margin-inline: auto;
}


.hero-btn img {
  margin-inline: auto;
  margin-block-end: 6px;
}

.hero-btn .span {
  color: var(--black);
  font-weight: var(--weight-bold);
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing-1);
  line-height: var(--lineHeight-3);
}

.hero-btn::after {
  inset: 0;
  border: 1px solid var(--gold-crayola);
  animation: rotate360 15s linear infinite;
}

.slider-reveal {
  transform: translateY(30px);
  opacity: 0;
}

.hero .slider-item.active .slider-reveal {
  animation: sliderReveal 1s ease forwards;
}

@keyframes sliderReveal {
  0% {
    transform: translateY(30px);
    opacity: 0;
  }

  100% {
    transform: translateY(0);
    opacity: 1;
  }
}




/*-----------------------------------*\
  #ABOUTUs
\*-----------------------------------*/

.menu .section-title {
  margin-block-end: 1px;
}
/*-----------------------------------*\
  #services
\*-----------------------------------*/
.videoSliderWrapper1 {
  width: 100%;
  overflow: hidden;
  display: flex;
  margin: auto;
  padding-top: inherit;
}
.videoSliderWrapper1 img{
  object-fit: cover;
  width: 100%;
}



.port-video{
  display: flex;
  height: 98%;
  width: 46%;
 
}
.port-video video{
  width: 100%;
  border: 1px solid var(--gold-crayola);
  border-radius: 10px;
  box-shadow: 0 0 0.25rem 0.25rem hsla(30, 96%, 44%, 0.25);
}
.VedioGrid{
  display: grid;
  grid-template-columns: auto auto;
  gap: 0;
  height: 100%;
  }
/*-----------------------------------*\
  #Offers
\*-----------------------------------*/



.moreHref {
  position: absolute;
  width: auto;
  height: auto;
  right: 0;
  bottom: 0;
  font-size: x-large;

}

.imageBorder {
  /* border: 1px solid var(--gold-crayola); */
  box-shadow: 0 0 0.25rem 0.25rem hsla(30, 96%, 44%, 0.25);
  border-radius: 10px;
}


.photoGrid{
display: grid;
grid-template-columns: auto auto;
gap: 0.8rem;
}
.port-box{
  border-radius: 15px;
  overflow: hidden;
  display: flex;
  grid-template-rows: 1fr auto;
  align-items: center;
  border: 2px solid var(--hover-color);
  box-shadow: 0 0 0.25rem 0.25rem hsla(30, 96%, 44%, 0.25);
  position: relative;
  margin-bottom: 8px;
}
.port-image{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}
.port-image img{
  width: 100%;
  opacity: .5s;
  height: 100%;
  transition: .5s;
}
.port-content{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  transition: 0.5s;
  padding: 0 2rem;
  opacity: 0;
  background: linear-gradient(rgba(0,0,0,.2),#ff12a8);
}
.port-content h3{
  font-size: 1.5rem;
  font-weight: 600;

}
.port-content p{
  font-size: .8rem;
  margin: 5px 0 15px 0;

}
.port-content a{
  background: #fff;
  border-radius: 50%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border: 1px solid var(--hover-color);
  outline: 2px solid #fff;
}
.port-content a i {
  font-size: 1.3rem;
  color: var(--seco-bg-color);
}
.port-box:hover .port-content{
  opacity: 1;
}
.port-box:hover .port-image img{
  transform: scale(1.1);
}
/*-----------------------------------*\
  #video
\*-----------------------------------*/

.videoSliderWrapper {
  position: relative;
  max-width: 48rem;
  margin: 0 auto;
}

.videoslider {
  display: flex;
  aspect-ratio: 5/9;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  box-shadow: 0 1.5rem 3rem -0.75rem hsla(0, 0%, 0%, 0.25);
  border-radius: 0.5rem;

}

.videoslider img {
  flex: 1 0 100%;
  scroll-snap-align: start;
  object-fit: cover;
}

.sliderNav {
  display: flex;
  column-gap: 1rem;
  position: absolute;
  bottom: 1.25rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
}

.sliderNav a {
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background-color: #fff;
  opacity: 0.75;
  transition: opacity ease 250rem;
}

.sliderNav a:hover {
  opacity: 1;
}


/*-----------------------------------*\
  #partners
\*-----------------------------------*/


.logoSlide img {
  height: 50px;
  margin: 0 40px;
}

.logoSlide {
  display: flex;
  animation: 35s slide infinite linear;

}

.logos {
  display: flex;
  white-space: nowrap;
  overflow: hidden;
  padding: 30px 0;
  position: relative;

}

@keyframes slide {
  From {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}

.logos:hover .logoSlide {
  animation-play-state: paused;
}

.logos::before,
.logos::after {
  position: absolute;
  top: 0;
  width: 80px;
  height: 100%;
  content: '';
  z-index: 2;
}

.logos::before {
  left: 0;
  background: linear-gradient(to left, rgba(255, 255, 255, 0), rgba(107, 104, 104, 0.148));
}

.logos::after {
  right: 0;
  background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(107, 104, 104, 0.148));
}



/*-----------------------------------*\
  #contact
\*-----------------------------------*/



.contactus {
  background-image: url(../images/contact.jpg) !important;
  background-repeat: no-repeat;
  background-size: cover;
}




/* ............................................................................ */

.radio-input {
  display: flex;
  flex-direction: row;
 
  font-weight: 200;
  color: white;
}

.radio-input input[type="radio"] {
  display: none;
}

.radio-input label {
  display: flex;
  align-items: center;
  padding: 10px;
font-size: small;
  background-color: #21212191;
  border-radius: 5px;
  margin-right: 12px;
  cursor: pointer;
  position: relative;
  transition: all 0.3s ease-in-out;
}




@keyframes radio-translate {
  0% {
    transform: translateX(0);
  }

  50% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateX(0);
  }
}






/*-----------------------------------*\
  #BACK TO TOP
\*-----------------------------------*/

.back-top-btn {
  position: fixed;
  bottom: 24px;
  right: 20px;
  background-color: var(--gold-crayola);
  color: var(--smoky-black-1);
  font-size: 22px;
  width: 40px;
  height: 40px;
  border-radius: var(--radius-circle);
  display: grid;
  place-items: center;
  box-shadow: var(--shadow-1);
  transition: var(--transition-1);
  opacity: 0;
  visibility: hidden;
  z-index: 4;
}

.back-top-btn:is(:hover, :focus-visible) {
  background-color: var(--white);
  color: var(--gold-crayola);
}

.back-top-btn.active {
  opacity: 1;
  visibility: visible;
}


/* ____________________________________________ */

.whatsAppIcon {
  position: fixed;
  bottom: 68px;
  right: 20px;
  background-color: var(--gold-crayola);
  color: var(--smoky-black-1);
  font-size: 22px;
  width: 40px;
  height: 40px;
  border-radius: var(--radius-circle);
  display: grid;
  place-items: center;
  box-shadow: var(--shadow-1);
  transition: var(--transition-1);
  opacity: 0;
  visibility: hidden;
  z-index: 4;
}

.whatsAppIcon:is(:hover, :focus-visible) {
  background-color: var(--white);
  color: var(--gold-crayola);
}

.whatsAppIcon.active {
  opacity: 1;
  visibility: visible;
}


/* --------------------------------------- */
.callUs {
  position: fixed;
  bottom: 111px;
  right: 20px;
  background-color: var(--gold-crayola);
  color: var(--smoky-black-1);
  font-size: 22px;
  width: 40px;
  height: 40px;
  border-radius: var(--radius-circle);
  display: grid;
  place-items: center;
  box-shadow: var(--shadow-1);
  transition: var(--transition-1);
  opacity: 0;
  visibility: hidden;
  z-index: 4;
}

.callUs:is(:hover, :focus-visible) {
  background-color: var(--white);
  color: var(--gold-crayola);
}

.callUs.active {
  opacity: 1;
  visibility: visible;
}



/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 575px screen
 */

@media (min-width: 575px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fontSize-body-2: 2rem;

  }



  /**
   * REUSED STYLE
   */

  :is(.service, .about) .section-text {
    max-width: 420px;
    margin-inline: auto;
  }

  .contact-number {
    --fontSize-body-1: 3rem;
  }



  /**
   * TOPBAR
   */

  .topbar {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding-block: 10px;
    border-block-end: 1px solid var(--white-alpha-20);
    z-index: 4;
    transition: var(--transition-1);
  }

  .topbar:has(~ .header.active) {
    transform: translateY(-100%);
  }

  .topbar-item:not(.link),
  .topbar .separator {
    display: none;
  }

  .topbar .container,
  .topbar-item {
    display: flex;
    align-items: center;
  }

  .topbar .container {
    justify-content: center;
    gap: 30px;
  }

  .topbar-item {
    gap: 6px;
  }

  .topbar-item ion-icon {
    --ionicon-stroke-width: 60px;
  }

  .topbar-item .span {
    font-size: var(--fontSize-label-1);
  }

  .topbar .link {
    transition: var(--transition-1);
  }

  .topbar .link:is(:hover, :focus-visible) {
    color: var(--gold-crayola);
  }



  /**
   * HEADER
   */

  .header {
    top: 51px;
  }

  .header.active {
    top: 0;
  }

  .header .btn {
    display: block;
    margin-inline-start: auto;
  }



  /**
   * HERO
   */

  .hero-btn {
    transform: scale(0.7);
  }

  .portfolio-gallary h3{
  font-size: xx-large;
  margin: 17px;
  }

.photoGrid{
  gap: 2.8rem;
}



}





/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {

  /**
   * REUSED STYLE
   */

  /* .grid-list {
    grid-template-columns: 1fr 1fr;
  } */

  :is(.service, .event) .container {
    max-width: 820px;
  }

  :is(.service, .event) li:last-child {
    grid-column: 1 / 3;
    width: calc(50% - 20px);
    margin-inline: auto;
  }



  /**
   * HEADER
   */

  .navbar1-list {
    margin-inline: 30px;
  }



  /**
   * HERO
   */

  .hero .slider-btn {
    display: grid;
    position: absolute;
    z-index: 1;
    color: var(--gold-crayola);
    font-size: 2.4rem;
    border: 1px solid var(--gold-crayola);
    width: 45px;
    height: 45px;
    place-items: center;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    transition: var(--transition-1);
  }


.h3inOffer{
  display: none;
}

  .hiddenForLab {
    display: none;
  }


  .videoSliderWrapper {

    max-width: 85%;

  }

  .grid-list{
    display: block;
  }

  
}





/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * spacing
     */

    --section-space: 100px;

  }

 

  

  /**
   * REUSED STYLE
   */

  :is(.service, .event) .container {
    max-width: unset;
  }


  :is(.service, .event) .grid-list l {

    width: 100%;
  }



  /**
   * TOPBAR
   */

  .topbar-item:not(.link) {
    display: flex;
  }

  .topbar .item-2 {
    margin-inline-end: auto;
  }



  /**
   * SERVICE
   */

  .service .shape {
    display: block;
  }

  .service .shape-1 {
    bottom: 0;
    left: 0;
  }

  .service .shape-2 {
    top: 0;
    right: 0;
  }



  /**
   * ABOUT
   */

  .about .container {
    grid-template-columns: 0.7fr 1fr;
    gap: 30px;
  }



  /**
   * SPECIAL DISH
   */

  .special-dish {
    display: grid;
    grid-template-columns: 1fr 1fr;
    text-align: left;
  }

  .special-dish-content {
    padding-inline: 50px 25px;
  }

  .special-dish-content .container {
    position: relative;
  }

  .special-dish .section-subtitle::after,
  .special-dish .btn {
    margin-inline: 0;
  }

  .special-dish-content .wrapper {
    justify-content: flex-start;
  }

  .special-dish .abs-img {
    position: absolute;
    top: 10px;
    left: -40px;
    animation: move 5s linear infinite;
  }



  /**
   * MENU
   */

  .menu .grid-list {
    position: relative;
    column-gap: 90px;
  }

  .menu .grid-list::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    height: 100%;
    border-inline-start: 1px solid var(--white-alpha-20);
  }



  /**
   * TESTIMONIALS
   */

  .testi-text {
    max-width: 910px;
    margin-inline: auto;
  }



  /**
   * RESERVATION
   */

  .reservation-form {
    display: grid;
    grid-template-columns: 1fr 0.5fr;
  }



  /**
   * FOOTER
   */

  .footer .grid-list {
    grid-template-columns: 0.45fr 1fr 0.45fr;
    align-items: center;
  }

  .footer-brand {
    grid-column: auto;
    order: 1;
    padding-block: 100px;
  }

  .footer-list:last-child {
    order: 2;
  }

}





/**
 * responsive for larger than 1200px screen
 */

@media (min-width: 1200px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fontSize-title-2: 2.1rem;

  }



  /**
   * REUSED STYLE
   */

  .container,
  :is(.service, .event) .container {

    width: 100%;

  }



  /**
   * TOPBAR
   */





  /**
   * HEADER
   */

  .nav-open-btn,
  .navbar1>*:not(.navbar1-list),
  .header .overlay {
    display: none;
  }

  .header .container {
    max-width: unset;

  }

  .navbar1,
  .navbar1.active,
  .navbar1-list {
    all: unset;
  }

  .navbar1,
  .navbar1.active {
    margin-inline: auto 20px;
  }

  .navbar1-list {
    display: flex;
    gap: 30px;
  }

  .navbar1-item {
    border-block-start: none;
  }

  .navbar1 .separator {
    display: none;
  }

  .navbar1-link:is(:hover, :focus-visible, .active) .span {
    transform: unset;
  }

  .navbar1-link {
    font-weight: var(--weight-bold);
    letter-spacing: var(--letterSpacing-1);
  }

  .navbar1-link::after {
    display: block;
  }



  .header .btn {
    margin-inline-start: 0;
  }



  /**
   * HERO
   */

  .hero {
    height: 880px;
  }

  .hero-btn {
    bottom: 50px;
    right: 50px;
    transform: scale(1);
  }



  /**
   * SERVICE
   */

  .service .grid-list {
    gap: 150px;
  }

  .service .grid-list li:nth-child(2n+1) {
    transform: translateY(-160px);
  }

  .service .section-text {
    margin-block-end: 75px;
  }



  /**
   * ABOUT
   */

  .about {
    padding-block: 170px 100px;
  }



  /**
   * SPECIAL DISH
   */

  .special-dish-content {
    padding: 225px 120px;
    padding-inline-end: 0;
  }

  .special-dish-content .container {
    max-width: 460px;
    margin-inline: 0;
  }



  /**
   * MENU
   */

  .menu .grid-list {
    gap: 55px 200px;
    margin-block-end: 55px;
  }



  /**
   * TESTIMONIALS
   */

  .form-left,
  .form-right {
    padding: 75px 60px;
  }




  /**
   * FEATURES
   */

  .features .grid-list {
    grid-template-columns: repeat(4, 1fr);
  }

}